package com.dsic.gj_erp.bean.jcsj;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2024-05-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmBzzz对象", description="")
public class DmBzzz implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;
    private String resourcesCode;//班组编码
    private String resourcesName;//班组名称
    private String resourcesType;//组织类型
    private String factoryId;
    private String factoryCode;
    private String factoryName;//所属工厂
    private String kw;//所属跨位
    private String workshopId;
    private String workshopCode;
    private String workshopName;//所属车间
    private String productionLineId;
    private String productionLineCode;
    private String productionLineName;//所属产线
    private String companyId;
    private String companyCode;
    private String companyName;//所属公司
    private String createDate;//创建时间
    private String updateDate;//修改时间
    private String flagStatus;//状态
    private String resource;//是否资源
    private String classification;//班组分类
    private String comparisonCode;//外部对照码



}
