package com.dsic.gj_erp.bean.pgd;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-11-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="PgdDh对象", description="")
public class PgdDh implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "船号")
    private String czbh;

    @ApiModelProperty(value = "订货清单号")
    private String dhqdh;

    @ApiModelProperty(value = "物品材质")
    private String wpcz;

    @ApiModelProperty(value = "厚度")
    private Double hd;

    @ApiModelProperty(value = "宽度")
    private Double kd;

    @ApiModelProperty(value = "长度")
    private Double cd;

    @ApiModelProperty(value = "数量")
    private Double xqsl;

    @ApiModelProperty(value = "上料需求日期")
    private String slxqrq;

    @ApiModelProperty(value = "前方需求小组期")
    private String qfxqrqxz;

    @ApiModelProperty(value = "前方需求大组期")
    private String qfxqrqdz;

    @ApiModelProperty(value = "合同号")
    private String hth;

    @ApiModelProperty(value = "小合同号")
    private String xhth;

    @ApiModelProperty(value = "到货数量")
    private Double dhsl;

    @ApiModelProperty(value = "采购数量")
    private Double cgsl;

    @ApiModelProperty(value = "状态")
    private String zt;

    @ApiModelProperty(value = "编制人")
    private String bzry;

    @ApiModelProperty(value = "编制日期")
    private String bzrq;

    @ApiModelProperty(value = "下发人")
    private String xfry;

    @ApiModelProperty(value = "下发日期")
    private String xfrq;

    @ApiModelProperty(value = "反馈人")
    private String fkry;

    @ApiModelProperty(value = "反馈日期")
    private String fkrq;

    @ApiModelProperty(value = "反馈原因")
    private String fkyy;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


}
