package com.dsic.gj_erp.bean.jhgk;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
@TableName("ydjh_import")
public class YdjhImport {

    @TableId(type = IdType.AUTO)
    private String id;

    private String dcCh;

    private String dcPl;

    private String dcFd;

    private String bs1;

    private String sl;

    private String xcpw;

    private String pw;

    private String yklm;

    private String yksk;

    private String dbqgks;

    private String ykpkjs;

    private String eklmbs;

    private String lmqgks;

    private String lmqgjs;

    private String eksk;

    private String ekskks;

    private String ekpkjs;

    private String sksk;

    private String skskqgks;

    private String skpkjs;

    private String skpt;

    private String ptks;

    private String ptjs;

    @TableField("qpt_zjs")
    private String qpt_zjs;

    private String qptjs;

    private String qwbjs;

    private String zl;

    private String fbbs;

    private String fbqgks;

    private String fbqgjs;

    private String skbs;

    private String skqgks;

    private String pkqgjs;

    private String mbjb;

    private String qkxcms;

    private String xcmb;

    private String fdxq;

    private String gdjs;

    private String bz;

    private String zt;

    private int importIndex;

    @ApiModelProperty(value = "前方需求小组期")
    private String qfxqrqxz;

    @ApiModelProperty(value = "前方需求大组期")
    private String qfxqrqdz;

    private String extData;//1:无基础数据;船号:使用目标船只基础数据;

    @TableField(exist = false)
    private Boolean qwbBs;

    @TableField(exist = false)
    private String qgrq;

    public boolean isAvailable(){
        return !StrUtil.isAllEmpty(this.sl,this.xcpw,this.pw,this.dbqgks,this.ykpkjs,this.lmqgks,this.lmqgjs,
                this.ekskks,this.ekpkjs,this.skskqgks,this.skpkjs,this.ptks,this.ptjs,this.qpt_zjs,this.qptjs,
                this.qwbjs,this.fbqgks,this.fbqgjs,this.skqgks,this.pkqgjs,this.mbjb,this.xcmb,this.fdxq,this.gdjs);
    }
}
