package com.dsic.gj_erp.pc.dto.tlt;

import com.dsic.gj_erp.pc.Constant;
import com.dsic.gj_erp.pc.dto.data.Bom;
import com.dsic.gj_erp.pc.dto.套料图工序;
import com.google.common.collect.ImmutableList;

public class 三跨厚板 extends 套料图工序 {

    public 三跨厚板 小组(Bom bom) {
        this.kw = "14";
        this.zl = "1010";
        this.bom = bom;
        this.zlType=ZlType.小组;
        this.工序 = ImmutableList.<Constant.工序>builder()
                .add(Constant.工序.上料)
                .add(Constant.工序.抛丸)
                .add(Constant.工序.理料)
                .add(Constant.工序.切割)
                .add(Constant.工序.坡口)
                .build();
        return this;
    }

    public 三跨厚板 大组(Bom bom) {
        this.kw = "14";
        this.zl = "1110";
        this.bom = bom;
        this.zlType=ZlType.大组;
        this.工序 = ImmutableList.<Constant.工序>builder()
                .add(Constant.工序.上料)
                .add(Constant.工序.抛丸)
                .add(Constant.工序.理料)
                .add(Constant.工序.切割)
                .add(Constant.工序.坡口)
                .build();
        return this;
    }

}
